=== kasten/CMakeLists.txt ===
project( oktetakasten )
cmake_minimum_required(VERSION 2.8.8)

set( KASTEN_LIB_VERSION 0.3.0 )
set( KASTEN_ABI_VERSION 3 )

set( OKTETAKASTEN_MAJOR_VERSION 0 )
set( OKTETAKASTEN_MINOR_VERSION 3 )
set( OKTETAKASTEN_PATCHLEVEL_VERSION 1 )
set( OKTETAKASTEN_VERSION "${OKTETAKASTEN_MAJOR_VERSION}.${OKTETAKASTEN_MINOR_VERSION}.${OKTETAKASTEN_PATCHLEVEL_VERSION}" )
set( OKTETAKASTEN_ABI_VERSION 1 )
set( OKTETAKASTEN_INCLUDE_INSTALL_DIR  ${INCLUDE_INSTALL_DIR}/kasten/okteta ) #${KASTEN_ABI_VERSION}/okteta${OKTETAKASTEN_ABI_VERSION} )
set( OKTETAKASTEN_CCINCLUDE_INSTALL_DIR  ${INCLUDE_INSTALL_DIR}/Kasten/Okteta )  #${KASTEN_ABI_VERSION}/Okteta${OKTETAKASTEN_ABI_VERSION} )

set( OKTETAKASTEN_LIB_SOVERSION ${OKTETAKASTEN_ABI_VERSION} )
set( OKTETAKASTEN_LIB_VERSION ${OKTETAKASTEN_VERSION} )


add_subdirectory( core )
add_subdirectory( gui )
add_subdirectory( controllers )
