=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_STRIP = -O3
export DEB_CXXFLAGS_MAINT_STRIP = -O3

dh = --with sodeps

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
