## okteta 16.04.3

=== debian/control ===
--- 
+++ 
@@ -9,33 +9,33 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev,
-               kio-dev,
-               libkf5bookmarks-dev,
-               libkf5codecs-dev,
-               libkf5completion-dev,
-               libkf5configwidgets-dev,
-               libkf5dbusaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5kcmutils-dev,
-               libkf5newstuff-dev,
-               libkf5parts-dev,
-               libkf5service-dev,
-               libkf5widgetsaddons-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5bookmarks-dev (>= 5.24.0~),
+               libkf5codecs-dev (>= 5.24.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5parts-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                libqca-qt5-2-dev (>= 2.1.0),
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
                shared-mime-info (>= 0.30)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/okteta.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/okteta.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
 
 Package: okteta
 Architecture: any
