=== debian/control ===
--- 
+++ 
@@ -9,33 +9,35 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5bookmarks-dev (>= 5.24.0~),
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5completion-dev (>= 5.24.0~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5dbusaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5newstuff-dev (>= 5.24.0~),
-               libkf5parts-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev (>= 5.7.0~),
+               kio-dev (>= 5.7.0~),
+               libkf5bookmarks-dev (>= 5.7.0~),
+               libkf5codecs-dev (>= 5.7.0~),
+               libkf5completion-dev (>= 5.7.0~),
+               libkf5configwidgets-dev (>= 5.7.0~),
+               libkf5dbusaddons-dev (>= 5.7.0~),
+               libkf5doctools-dev (>= 5.7.0~),
+               libkf5i18n-dev (>= 5.7.0~),
+               libkf5iconthemes-dev (>= 5.7.0~),
+               libkf5kcmutils-dev (>= 5.7.0~),
+               libkf5kio-dev (>= 5.7.0~),
+               libkf5newstuff-dev (>= 5.7.0~),
+               libkf5parts-dev (>= 5.7.0~),
+               libkf5service-dev (>= 5.7.0~),
+               libkf5widgetsaddons-dev (>= 5.7.0~),
+               libkf5xmlgui-dev (>= 5.7.0~),
                libqca-qt5-2-dev (>= 2.1.0),
                pkg-config,
-               pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~),
+               pkg-kde-tools (>= 0.15.23~),
+               qtbase5-dev (>= 5.4),
+               qtscript5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
                shared-mime-info (>= 0.30)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/okteta.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/okteta.git
 
 Package: okteta
 Architecture: any
@@ -44,32 +46,27 @@
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
  .
- The data is displayed in the traditional view with two columns: one with the
- numeric values and one with the assigned characters. Editing can be done both
- in the value column and the character column. Besides the usual editing
- capabilities Okteta also brings a small set of tools, like a table listing
- decodings into common simple data types, a table listing all possible bytes
- with its character and value equivalents, a info view with a statistic and a
- filter tool. All modifications to the data loaded can be endlessly undone or
- redone.
+ The data is displayed in two variants: as the numeric values of the bytes
+ and as the character assigned to the values. Values and characters can be
+ shown either in two columns (the traditional display in hex editors) or in
+ rows with the value on top of the character. Editing can be done both for
+ the values and for the characters.
+ .
+ Besides the usual editing capabilities Okteta also brings a small set of
+ tools, like a table listing decodings into common simple data types, a table
+ listing all possible bytes with their character and value equivalents, an
+ info view with a statistic, a checksum calculator, a filter tool and a string
+ extraction tool.
  .
  This package is part of the KDE Software Development Kit module.
 
 Package: okteta-dev
 Architecture: any
 Section: devel
-Depends: libkasten3controllers3 (= ${binary:Version}),
-         libkasten3core3 (= ${binary:Version}),
-         libkasten3gui3 (= ${binary:Version}),
-         libkasten3okteta1controllers1 (= ${binary:Version}),
-         libkasten3okteta1core1 (= ${binary:Version}),
-         libkasten3okteta1gui1 (= ${binary:Version}),
-         libkf5xmlgui-dev,
-         libokteta2core2 (= ${binary:Version}),
-         libokteta2gui2 (= ${binary:Version}),
-         okteta (= ${binary:Version}),
+Depends: libkf5xmlgui-dev (>= 5.7.0~),
          qtbase5-dev (>= 5.4),
-         ${misc:Depends}
+         ${misc:Depends},
+         ${so:Depends}
 Description: Development files for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
