=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_CFLAGS_MAINT_STRIP = -O3
-export DEB_CXXFLAGS_MAINT_STRIP = -O3
 
 dh = --with sodeps
