## okteta 16.12.3

=== debian/control ===
--- 
+++ 
@@ -9,35 +9,33 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev (>= 5.7.0~),
-               kio-dev (>= 5.7.0~),
-               libkf5bookmarks-dev (>= 5.7.0~),
-               libkf5codecs-dev (>= 5.7.0~),
-               libkf5completion-dev (>= 5.7.0~),
-               libkf5configwidgets-dev (>= 5.7.0~),
-               libkf5dbusaddons-dev (>= 5.7.0~),
-               libkf5doctools-dev (>= 5.7.0~),
-               libkf5i18n-dev (>= 5.7.0~),
-               libkf5iconthemes-dev (>= 5.7.0~),
-               libkf5kcmutils-dev (>= 5.7.0~),
-               libkf5kio-dev (>= 5.7.0~),
-               libkf5newstuff-dev (>= 5.7.0~),
-               libkf5parts-dev (>= 5.7.0~),
-               libkf5service-dev (>= 5.7.0~),
-               libkf5widgetsaddons-dev (>= 5.7.0~),
-               libkf5xmlgui-dev (>= 5.7.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5bookmarks-dev (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                libqca-qt5-2-dev (>= 2.1.0),
                pkg-config,
-               pkg-kde-tools (>= 0.15.23~),
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
                shared-mime-info (>= 0.30)
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/okteta.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/okteta.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
 
 Package: okteta
 Architecture: any
@@ -63,10 +61,18 @@
 Package: okteta-dev
 Architecture: any
 Section: devel
-Depends: libkf5xmlgui-dev (>= 5.7.0~),
-         qtbase5-dev (>= 5.4),
-         ${misc:Depends},
-         ${so:Depends}
+Depends: libkasten3controllers3 (= ${binary:Version}),
+         libkasten3core3 (= ${binary:Version}),
+         libkasten3gui3 (= ${binary:Version}),
+         libkasten3okteta1controllers1 (= ${binary:Version}),
+         libkasten3okteta1core1 (= ${binary:Version}),
+         libkasten3okteta1gui1 (= ${binary:Version}),
+         libkf5xmlgui-dev (>= 5.31.0~),
+         libokteta2core2 (= ${binary:Version}),
+         libokteta2gui2 (= ${binary:Version}),
+         okteta (= ${binary:Version}),
+         qtbase5-dev (>= 5.6.1~),
+         ${misc:Depends}
 Description: Development files for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
