## okteta 17.04.3

=== debian/control ===
--- 
+++ 
@@ -40,6 +40,8 @@
 Package: okteta
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: hexadecimal editor for binary files
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -84,7 +86,9 @@
 Package: libkasten3controllers3
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: controllers Kasten library for Okteta
  Kasten is a framework for composing programs.
  .
@@ -95,7 +99,9 @@
 Package: libkasten3core3
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: core Kasten library for Okteta
  Kasten is a framework for composing programs.
  .
@@ -106,7 +112,9 @@
 Package: libkasten3gui3
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: gui Kasten library for Okteta
  Kasten is a framework for composing programs.
  .
@@ -117,7 +125,9 @@
 Package: libokteta2core2
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: core Okteta library
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -129,7 +139,9 @@
 Package: libokteta2gui2
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: gui Okteta library
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -141,7 +153,9 @@
 Package: libkasten3okteta1controllers1
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: kastencontrollers library for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -154,7 +168,9 @@
 Package: libkasten3okteta1core1
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: kastencore library for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -167,7 +183,9 @@
 Package: libkasten3okteta1gui1
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: kastengui library for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -176,3 +194,18 @@
  with Kasten GUI.
  .
  This package is part of the KDE Software Development Kit module.
+
+Package: libokteta-data
+Architecture: all
+Section: libs
+Depends: ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: library data files for Okteta
+ Okteta is a simple editor for the raw data of files. This type of program is
+ also called hexadecimal editor or binary editor.
+ .
+ This package provides the part of the Okteta libraries interfacing
+ with Kasten GUI.
+ .
+ This package is part of the KDE Software Development Kit module.
